Register for the iXsystems Community to get an ad-free experience and exclusive discounts in our eBay Store.

Cannot attach 2nd flash drive to boot pool

kappclark

Member
Joined
Oct 16, 2019
Messages
65
I received a second 32GB Kingston usb 3 flash drive - the exact make and model as what I am using/. wanted to attach to boot pool to mirror first kingston 32GB ..

I get an error whether I select 'use all disk space' or not. says device is too small (!) ...is there any prep needed to the flash drive prior to using it to mirror the boot pool ?

1587839388487.png

Suggestions ?
-------------------------------------------------------
FWIW --> SOLVED this by finding 2 160GB sata laptop drives in parts box ... added first, resilvered, replaced 32 GB flash drive with second 160GB drive and resilvered again ... no issues...did latest update and rebooted ... all good (and NO MORE FLASH DRIVES! )...original 32 GB flash drive now shows up as 'unused' ---
-------------------------------------------------------
 
Last edited:

Redcoat

Dedicated Sage
Joined
Feb 18, 2014
Messages
1,745
Well, it looks to me as if you have fallen foul of the fact that nominally-same-size flash drives, even those from same manufacturer, type, etc., in fact do not all have the same storage capacity. This has been reported here on many occasions.
 

iolah

Newbie
Joined
Nov 16, 2020
Messages
1
Is it the same problem?
I tried to replace a USB drive with an SSD
But does not allow me to attach
Error: [EFAULT] concurrent.futures.process._RemoteTraceback: """ Traceback (most recent call last): File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/zfs.py", line 214, in extend i['target'].attach(newvdev) File "libzfs.pyx", line 382, in libzfs.ZFS.__exit__ File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/zfs.py", line 214, in extend i['target'].attach(newvdev) File "libzfs.pyx", line 1986, in libzfs.ZFSVdev.attach libzfs.ZFSException: can only attach to mirrors and top-level disks During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/local/lib/python3.8/concurrent/futures/process.py", line 239, in _process_worker r = call_item.fn(*call_item.args, **call_item.kwargs) File "/usr/local/lib/python3.8/site-packages/middlewared/worker.py", line 91, in main_worker res = MIDDLEWARE._run(*call_args) File "/usr/local/lib/python3.8/site-packages/middlewared/worker.py", line 45, in _run return self._call(name, serviceobj, methodobj, args, job=job) File "/usr/local/lib/python3.8/site-packages/middlewared/worker.py", line 39, in _call return methodobj(*params) File "/usr/local/lib/python3.8/site-packages/middlewared/worker.py", line 39, in _call return methodobj(*params) File "/usr/local/lib/python3.8/site-packages/middlewared/schema.py", line 977, in nf return f(*args, **kwargs) File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/zfs.py", line 217, in extend raise CallError(str(e), e.code) middlewared.service_exception.CallError: [EZFS_BADTARGET] can only attach to mirrors and top-level disks """ The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/usr/local/lib/python3.8/site-packages/middlewared/job.py", line 361, in run await self.future File "/usr/local/lib/python3.8/site-packages/middlewared/job.py", line 392, in __run_body rv = await self.middleware._call_worker(self.method_name, *self.args, job={'id': self.id}) File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1205, in _call_worker return await self.run_in_proc(main_worker, name, args, job) File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1132, in run_in_proc return await self.run_in_executor(self.__procpool, method, *args, **kwargs) File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1106, in run_in_executor return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs)) middlewared.service_exception.CallError: [EZFS_BADTARGET] can only attach to mirrors and top-level disks
 

sretalla

Dedicated Sage
Joined
Jan 1, 2016
Messages
3,335

Clinderw

Member
Joined
Aug 11, 2013
Messages
96
Is it the same problem?
I tried to replace a USB drive with an SSD
But does not allow me to attach
Error: [EFAULT] concurrent.futures.process._RemoteTraceback: """ Traceback (most recent call last): File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/zfs.py", line 214, in extend i['target'].attach(newvdev) File "libzfs.pyx", line 382, in libzfs.ZFS.__exit__ File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/zfs.py", line 214, in extend i['target'].attach(newvdev) File "libzfs.pyx", line 1986, in libzfs.ZFSVdev.attach libzfs.ZFSException: can only attach to mirrors and top-level disks During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/local/lib/python3.8/concurrent/futures/process.py", line 239, in _process_worker r = call_item.fn(*call_item.args, **call_item.kwargs) File "/usr/local/lib/python3.8/site-packages/middlewared/worker.py", line 91, in main_worker res = MIDDLEWARE._run(*call_args) File "/usr/local/lib/python3.8/site-packages/middlewared/worker.py", line 45, in _run return self._call(name, serviceobj, methodobj, args, job=job) File "/usr/local/lib/python3.8/site-packages/middlewared/worker.py", line 39, in _call return methodobj(*params) File "/usr/local/lib/python3.8/site-packages/middlewared/worker.py", line 39, in _call return methodobj(*params) File "/usr/local/lib/python3.8/site-packages/middlewared/schema.py", line 977, in nf return f(*args, **kwargs) File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/zfs.py", line 217, in extend raise CallError(str(e), e.code) middlewared.service_exception.CallError: [EZFS_BADTARGET] can only attach to mirrors and top-level disks """ The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/usr/local/lib/python3.8/site-packages/middlewared/job.py", line 361, in run await self.future File "/usr/local/lib/python3.8/site-packages/middlewared/job.py", line 392, in __run_body rv = await self.middleware._call_worker(self.method_name, *self.args, job={'id': self.id}) File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1205, in _call_worker return await self.run_in_proc(main_worker, name, args, job) File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1132, in run_in_proc return await self.run_in_executor(self.__procpool, method, *args, **kwargs) File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1106, in run_in_executor return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs)) middlewared.service_exception.CallError: [EZFS_BADTARGET] can only attach to mirrors and top-level disks
I think I'm experiencing the same thing - I made a different topic - https://www.truenas.com/community/t...-attach-to-mirrors-and-top-level-disks.89276/
 
Top